# ace_wchar.h File Reference

`#include "ace/ace_wchar.inl"`

Include dependency graph for ace_wchar.h:

This graph shows which files directly or indirectly include this file:

## Defines

#define | ACE_USES_L_PREFIX 1
#define | ACE_TEXT_WIDE_I(STRING) L##STRING
#define | ACE_TEXT_WIDE(STRING) ACE_TEXT_WIDE_I (STRING)
#define | ACE_LIB_TEXT(STRING) STRING
#define | ACE_TEXT_ALWAYS_CHAR(STRING) STRING
#define | ACE_TEXT_ALWAYS_WCHAR(STRING) ACE_Ascii_To_Wide (STRING).wchar_rep ()
#define | ACE_TEXT_CHAR_TO_TCHAR(STRING) STRING
#define | ACE_TEXT_WCHAR_TO_TCHAR(STRING) ACE_Wide_To_Ascii (STRING).char_rep ()
#define | ACE_TEXT_ANTI_TO_TCHAR(STRING) ACE_Wide_To_Ascii (STRING).char_rep ()
#define | ACE_TEXT ACE_LIB_TEXT

## Typedefs

typedef char | ACE_TCHAR
typedef wchar_t | ACE_ANTI_TCHAR

## Detailed Description

Id
  ace_wchar.h,v 4.38 2006/01/09 20:08:07 jwillemsen Exp

Author:
  Darrell Brunsch <brunsch@uci.edu>

## Define Documentation

#define ACE_LIB_TEXT | ( | STRING |  | ) | STRING

#define ACE_TEXT ACE_LIB_TEXT

#define ACE_TEXT_ALWAYS_CHAR | ( | STRING |  | ) | STRING

#define ACE_TEXT_ALWAYS_WCHAR | ( | STRING |  | ) | ACE_Ascii_To_Wide (STRING).wchar_rep ()

#define ACE_TEXT_ANTI_TO_TCHAR | ( | STRING |  | ) | ACE_Wide_To_Ascii (STRING).char_rep ()

#define ACE_TEXT_CHAR_TO_TCHAR | ( | STRING |  | ) | STRING

#define ACE_TEXT_WCHAR_TO_TCHAR | ( | STRING |  | ) | ACE_Wide_To_Ascii (STRING).char_rep ()

#define ACE_TEXT_WIDE | ( | STRING |  | ) | ACE_TEXT_WIDE_I (STRING)

#define ACE_TEXT_WIDE_I | ( | STRING |  | ) | L##STRING

#define ACE_USES_L_PREFIX 1

## Typedef Documentation

typedef wchar_t ACE_ANTI_TCHAR

typedef char ACE_TCHAR